plugins {
    alias(libs.plugins.androidApplication)
    alias(libs.plugins.jetbrainsKotlinAndroid)
    id("com.google.devtools.ksp")
//    id("therouter")
    id("org.jetbrains.kotlin.plugin.serialization")
//    id("kotlin-kapt")
}

android {
    namespace = "com.kaixed.kchat"
    compileSdk = 34

    viewBinding {
        enable = true
    }

    defaultConfig {
        applicationId = "com.kaixed.kchat"
        minSdk = 30
        targetSdk = 34
        versionCode = 1
        versionName = "0.0.1"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"

    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }

    kotlinOptions {
        jvmTarget = "11"
    }
}

dependencies {
    implementation(project(":core_common"))

    implementation(libs.androidx.core.ktx)
    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    testImplementation(libs.junit)
    androidTestImplementation(libs.ext.junit)
    androidTestImplementation(libs.espresso.core)
    implementation(libs.window)
    implementation(libs.emoji2)
    implementation(libs.preference)

    implementation(libs.androidx.startup.runtime)

    implementation(libs.okhttp)
    implementation(libs.mmkv)
    implementation(libs.gson)

//    implementation(libs.objectbox.kotlin)
//    debugImplementation(libs.objectbox.android.objectbrowser)
//    releaseImplementation(libs.objectbox.android)

    implementation(libs.glide)
    implementation(libs.lottie)
    implementation(libs.kotlinx.serialization.json)
    implementation(libs.kotlinx.coroutines.core)
    implementation(libs.kotlinx.coroutines.android)

    implementation(libs.pinyin4j)

    implementation(libs.retrofit)
    implementation(libs.retrofit2.converter.gson)

    implementation(libs.okhttp3.logging.interceptor)

    // 图片选择器
    implementation(libs.pictureselector)
    // 图片压缩
    implementation(libs.compress)
    // 图片裁剪
    implementation(libs.ucrop)

    implementation(libs.eventbus)

    // 自定义spannable
    implementation(libs.spannable)

    implementation(libs.soft.input.event)

    implementation(libs.scanplus)
//    implementation(libs.therouter)
//    ksp(libs.therouter.ksp)

    // Room
    implementation(libs.androidx.room.runtime)
    ksp(libs.androidx.room.compiler)
    implementation(libs.androidx.room.ktx)
    implementation(libs.androidx.room.paging)
    implementation(libs.androidx.paging.runtime.ktx)

    debugImplementation(libs.leakcanary.android)
}

//apply(plugin = "io.objectbox")
