package com.kaixed.kchat.data

import com.kaixed.kchat.data.local.AppDatabase
import com.kaixed.kchat.data.local.entity.Contact
import com.kaixed.kchat.data.local.entity.UserInfo
import com.kaixed.kchat.utils.ConstantsUtils.getUsername
import kotlinx.coroutines.runBlocking

/**
 * @Author: kaixed
 * @Date: 2024/12/14 23:06
 */
object DataBase {

    private val contactDao = AppDatabase.getDatabase().contactDao()
    private val userInfoDao = AppDatabase.getDatabase().userInfoDao()
    private val conversationDao = AppDatabase.getDatabase().conversationDao()
    private val messagesDao = AppDatabase.getDatabase().messagesDao()

    fun clearAllDatabase() {
        val db = AppDatabase.getDatabase() // 获取 Room 数据库实例
        db.clearAllTables() // 清空所有表的数据
    }

    fun getUserInfo(): UserInfo? {
        return runBlocking {
            userInfoDao.getUserInfoByUsername(getUsername())
        }
    }

    fun deleteMsgByLocalId(localId: Long) {
    }

    suspend fun getContactByUsername(contactId: String): Contact? {
        return contactDao.getContactByUsername(contactId)
    }

    fun saveUserInfo(info: UserInfo) {

    }

    fun isMyFriend(string: String): Boolean {
        return runBlocking {
            contactDao.isMyFriend(string)
        }
    }
}