package com.kaixed.kchat.data.local

import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.kaixed.kchat.App
import com.kaixed.kchat.data.local.dao.ContactDao
import com.kaixed.kchat.data.local.dao.ConversationDao
import com.kaixed.kchat.data.local.dao.MessagesDao
import com.kaixed.kchat.data.local.dao.UserInfoDao
import com.kaixed.kchat.data.local.entity.Contact
import com.kaixed.kchat.data.local.entity.Conversation
import com.kaixed.kchat.data.local.entity.Messages
import com.kaixed.kchat.data.local.entity.UserInfo

@Database(
    entities = [
        Contact::class,
        Conversation::class,
        Messages::class,
        UserInfo::class
    ], version = 1, exportSchema = false
)
abstract class AppDatabase : RoomDatabase() {
    abstract fun userInfoDao(): UserInfoDao
    abstract fun contactDao(): ContactDao
    abstract fun messagesDao(): MessagesDao
    abstract fun conversationDao(): ConversationDao

    companion object {
        @Volatile
        private var INSTANCE: AppDatabase? = null

        fun getDatabase(): AppDatabase {
            return INSTANCE ?: synchronized(this) {
                val instance = Room.databaseBuilder(
                    App.getAppContext(),
                    AppDatabase::class.java,
                    "app_database"
                ).build()
                INSTANCE = instance
                instance
            }
        }
    }
}
