package com.kaixed.kchat.data.local.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.kaixed.kchat.data.local.entity.Contact

@Dao
interface ContactDao {
    @Query("SELECT * FROM contact WHERE username = :contactId LIMIT 1")
    suspend fun getContactByUsername(contactId: String): Contact?

    @Query("SELECT * FROM contact")
    suspend fun getAllContacts(): List<Contact>

    @Query("SELECT EXISTS (SELECT 1 FROM contact WHERE username = :contactId)")
    suspend fun isMyFriend(contactId: String): Boolean

    @Query("DELETE FROM contact WHERE username = :contactId")
    suspend fun deleteContactByUsername(contactId: String): Int

    // 更新联系人
    @Update
    suspend fun updateContact(contact: Contact)

    @Update
    suspend fun updateContacts(contacts: List<Contact>)

    @Insert
    suspend fun insertContact(contact: Contact)

    @Insert
    suspend fun insertContacts(contacts: List<Contact>)
}