package com.kaixed.kchat.data.local.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.kaixed.kchat.data.local.entity.Conversation

@Dao
interface ConversationDao {
    @Query("DELETE FROM conversation WHERE talkerId = :contactId")
    suspend fun deleteConversationsByContactId(contactId: String)

    @Query("SELECT * FROM conversation WHERE isShow = 1 ORDER BY timestamp DESC")
    suspend fun getConversations(): List<Conversation>

    @Query("SELECT * FROM conversation WHERE talkerId = :contactId LIMIT 1")
    suspend fun getConversationByUsername(contactId: String): Conversation?

    @Insert
    suspend fun insertConversation(conversation: Conversation)

    @Delete
    suspend fun deleteConversation(conversation: Conversation)

    @Update
    suspend fun updateConversation(conversation: Conversation)
}