package com.kaixed.kchat.data.repository

import androidx.paging.Pager
import androidx.paging.PagingConfig
import androidx.paging.PagingData
import com.kaixed.kchat.data.local.dao.MessagesDao
import com.kaixed.kchat.data.local.entity.Messages
import kotlinx.coroutines.flow.Flow

/**
 * @Author: kaixed
 * @Date: 2024/12/11 9:43
 */
class MessagesRepository(private val messagesDao: MessagesDao) {

    fun getMessageFlow(): Flow<PagingData<Messages>> {
        return Pager(
            config = PagingConfig(
                pageSize = 20,          // 每页加载的数量
                enablePlaceholders = false,
                prefetchDistance = 5,   // 当距离边缘还有5个项目时开始加载下一页
                initialLoadSize = 40    // 首次加载的数量
            ),
            pagingSourceFactory = { messagesDao.getMessagesPaged() }
        ).flow
    }

}