package com.kaixed.kchat.data.repository

import com.kaixed.kchat.data.model.response.search.User
import com.kaixed.kchat.network.ApiCall.apiCall
import com.kaixed.kchat.network.RetrofitClient

/**
 * @Author: kaixed
 * @Date: 2024/11/23 14:16
 */
class UserSearchRepository {

    private val userApiService = RetrofitClient.userApiService

    // 获取用户列表
    suspend fun getUserList(username: String): Result<List<User>?> {
        val requestParams = mapOf("username" to username)
        return apiCall(
            apiCall = { userApiService.fetchUserList(requestParams) },
            errorMessage = "用户列表为空"
        )
    }
}
