package com.kaixed.kchat.processor

import com.kaixed.kchat.data.local.AppDatabase
import com.kaixed.kchat.data.local.entity.Messages
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext

/**
 * @Author: kaixed
 * @Date: 2024/12/12 15:14
 */
object MessageProcessor {

    private const val INTERVAL = 5

    private val messagesDao = AppDatabase.getDatabase().messagesDao()

    suspend fun processorMsg(messages: Messages): Messages {
        val curTimestamp = System.currentTimeMillis()

        return withContext(Dispatchers.IO) {
            val localMsg = messagesDao.getLatestMessage(messages.talkerId, curTimestamp)

            var showTimer = true
            localMsg?.let {
                showTimer = curTimestamp - it.timestamp >= INTERVAL * 1L * 60 * 1000
            }

            messages.isShowTimer = showTimer
            messages
        }
    }
}