package com.kaixed.kchat.send

// 模拟持久化存储，可考虑使用Room数据库代替。
object MessageRepo {
    private val taskStore = mutableMapOf<Long, MessageTask>()

    fun save(task: MessageTask) {
        taskStore[task.id] = task
    }

    fun update(task: MessageTask) {
        taskStore[task.id] = task
    }

    fun remove(taskId: Long) {
        taskStore.remove(taskId)
    }

    fun loadAll(): List<MessageTask> {
        return taskStore.values.toList()
    }
}