package com.kaixed.kchat.send

import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow

// NetworkMonitor 用于监听网络状态变化，并通知 MessageUploadManager
object NetworkMonitor {
    // 这里可以用 LiveData 或 Flow 来实时通知变化
    private val _networkAvailable = MutableStateFlow(true)
    val networkAvailable: StateFlow<Boolean> get() = _networkAvailable

    // 模拟切换，实际需集成 ConnectivityManager 回调
    fun setNetworkAvailable(available: Boolean) {
        _networkAvailable.value = available
    }
}