package com.kaixed.kchat.service

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import kotlinx.coroutines.launch

class ChatViewModel : ViewModel() {
    fun sendChatMessage(content: String, msgLocalId: Long) {
        viewModelScope.launch {
            MessageRepository.sendMessage(content, msgLocalId).fold(
                onSuccess = { /* 消息发送成功 */ },
                onFailure = { /* 消息发送失败 */ }
            )
        }
    }

    fun observeMessages() {
        viewModelScope.launch {
            MessageRepository.observeMessages().collect { message ->
                println("Received message: $message")
            }
        }
    }
}