package com.kaixed.kchat.ui.activity

import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import com.kaixed.core.common.base.BaseActivity
import com.kaixed.kchat.databinding.ActivityApplyAddFriendBinding
import com.kaixed.kchat.viewmodel.ContactViewModel

class ApplyAddFriendActivity : BaseActivity<ActivityApplyAddFriendBinding, ContactViewModel>() {

    private lateinit var contactId: String

    private lateinit var contactNickname: String

    override fun inflateBinding(): ActivityApplyAddFriendBinding =
        ActivityApplyAddFriendBinding.inflate(layoutInflater)

    override fun getViewModelClass(): Class<ContactViewModel> {
        return ContactViewModel::class.java
    }


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
    }

    override fun initView() {

    }

    override fun observeData() {
        viewModel.addContactResult
            .observe(this) { result ->
                result.onSuccess {
                    toast(result.getOrNull().toString())
                    finish()
                }
                result.onFailure { toast(it.message.toString()) }
            }
    }

    override fun setupListeners() {
        binding.tvSendApply.setOnClickListener {
            sendContactRequest(contactId)
        }
    }

    override fun initData() {
        contactId = intent.getStringExtra("contactId") ?: ""
        contactNickname = intent.getStringExtra("contactNickname") ?: ""
        binding.etRemark.setHint(contactNickname)
    }

    private fun sendContactRequest(contactId: String?) {
        contactId?.let {
            viewModel.addContact(contactId, binding.etMessage.text.toString())
        }
    }
}
