package com.kaixed.kchat.ui.activity

import android.content.Intent
import android.os.Build
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.annotation.RequiresApi
import com.bumptech.glide.Glide
import com.kaixed.kchat.data.model.search.SearchUser
import com.kaixed.kchat.databinding.ActivityApplyFriendsDetailBinding
import com.kaixed.kchat.ui.base.BaseActivity

class ApplyFriendsDetailActivity : BaseActivity<ActivityApplyFriendsDetailBinding>() {

    private var user: SearchUser? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
    }

    override fun initView() {
        val nickname = user?.nickname
        val signature = user?.signature
        val avatarUrl = user?.avatarUrl

        // 设置到 UI 上
        binding.tvContactName.text = nickname
        binding.tvContactSignature.text = signature
        binding.tvSignatureContent.text = signature
        Glide.with(this).load(avatarUrl).into(binding.ifvAvatar)
    }

    @RequiresApi(Build.VERSION_CODES.TIRAMISU)
    override fun initData() {
        user = intent.getParcelableExtra("user", SearchUser::class.java)
    }

    override fun setupListeners() {
        binding.tvAddContact.setOnClickListener {
            val contactId = user?.username
            contactId?.let {
                val intent = Intent(this, ApplyAddFriendActivity::class.java).apply {
                    putExtra("contactId", it)
                    putExtra("contactNickname", user?.nickname)
                }
                startActivity(intent)
            }
        }

        binding.rlSetRemark.setOnClickListener {
            val intent = Intent(this, SetRemarkActivity::class.java)
            startActivity(intent)
        }
    }

    override fun observeData() {

    }

    override fun inflateBinding(): ActivityApplyFriendsDetailBinding {
        return ActivityApplyFriendsDetailBinding.inflate(layoutInflater)
    }
}
