package com.kaixed.kchat.ui.activity

import android.content.Intent
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import com.bumptech.glide.Glide
import com.kaixed.core.common.extension.getParcelableExtraCompat
import com.kaixed.kchat.data.model.friend.FriendRequestItem
import com.kaixed.kchat.databinding.ActivityApproveDetailBinding
import com.kaixed.kchat.ui.base.BaseActivity

class ApproveDetailActivity : BaseActivity<ActivityApproveDetailBinding>() {

    private var request: FriendRequestItem? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
    }

    override fun initData() {
        request = intent.getParcelableExtraCompat("request")
    }

    override fun observeData() {

    }

    override fun initView() {
        request?.let {
            val nickname = it.nickname
            val signature = it.signature
            val avatarUrl = it.avatarUrl

            binding.tvContactName.text = nickname
            binding.tvContactSignature.text = signature
            binding.tvSignatureContent.text = signature
            Glide.with(this).load(avatarUrl).into(binding.ifvAvatar)
        }
    }

    override fun setupListeners() {
        binding.ctl.setOnSettingClickListener {
            val intent = Intent(this, DataSettingActivity::class.java)
            startActivity(intent)
        }

        binding.rlGotoVerify.setOnClickListener {
            startActivity(
                Intent(this, ApproveContactRequestActivity::class.java).apply {
                    putExtra("nickname", request?.nickname)
                    putExtra("message", request?.message)
                    putExtra("contactId", request?.username)
                }
            )
        }
    }

    override fun inflateBinding(): ActivityApproveDetailBinding {
        return ActivityApproveDetailBinding.inflate(layoutInflater)
    }
}
