package com.kaixed.kchat.ui.activity

import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.constraintlayout.widget.ConstraintSet
import com.kaixed.kchat.databinding.ActivityContactUpdatesBinding
import com.kaixed.kchat.ui.base.BaseActivity
import com.kaixed.kchat.utils.ScreenUtils

class ContactUpdatesActivity : BaseActivity<ActivityContactUpdatesBinding>() {

    override fun inflateBinding(): ActivityContactUpdatesBinding {
        return ActivityContactUpdatesBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()

        val constraintSet = ConstraintSet()
        constraintSet.clone(binding.main)

        constraintSet.connect(
            binding.ifvAvatar.id,
            ConstraintSet.START,
            ConstraintSet.PARENT_ID,
            ConstraintSet.START,
            ScreenUtils.dp2px(10)
        )

        constraintSet.connect(
            binding.tvContent.id,
            ConstraintSet.START,
            binding.ifvAvatar.id,
            ConstraintSet.END,
            ScreenUtils.dp2px(10)
        )
        constraintSet.applyTo(binding.main)
    }

    override fun initView() {
    }

    override fun initData() {
    }

    override fun observeData() {
    }

    override fun setupListeners() {
    }
}
