package com.kaixed.kchat.ui.activity

import android.os.Bundle
import android.text.Spannable
import android.text.SpannableString
import android.text.style.ClickableSpan
import android.util.Patterns
import android.view.View
import android.widget.TextView
import androidx.activity.enableEdgeToEdge
import com.kaixed.kchat.databinding.ActivityTestBinding
import com.kaixed.kchat.ui.base.BaseActivity
import java.util.regex.Pattern


class TestActivity : BaseActivity<ActivityTestBinding>() {


    override fun inflateBinding(): ActivityTestBinding {
        return ActivityTestBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()

        val text = "访问我们的站点 https://www.example.com/ 或者 http://www.abc.com"
        val spannableString = SpannableString(text)

        // 使用正则表达式找到 URL
        val urlPattern = Pattern.compile("(https?://[\\w\\-]+(?:\\.[\\w\\-]+)+[/#?]?.*)")
        val matcher = urlPattern.matcher(text)

        // 创建可点击的 span
        while (matcher.find()) {
            val url = matcher.group()
            spannableString.setSpan(object : ClickableSpan() {
                override fun onClick(widget: View) {
                    // 这里可以做点击处理，例如打开 WebView 或外部浏览器
                    println("点击了链接: $url")
                }
            }, matcher.start(), matcher.end(), Spannable.SPAN_EXCLUSIVE_EXCLUSIVE)
        }

        val textView: TextView = binding.textView

        textView.text = spannableString
        textView.isClickable = true
        textView.movementMethod = android.text.method.LinkMovementMethod.getInstance()
    }

    private fun extractUrlsWithPatterns(text: String): List<String> {
        val matcher = Patterns.WEB_URL.matcher(text)
        val urls = mutableListOf<String>()

        while (matcher.find()) {
            urls.add(matcher.group())
        }
        return urls
    }


    override fun initData() {

    }

    override fun initView() {
    }

    override fun setupListeners() {
    }

    override fun observeData() {
    }

}