package com.kaixed.kchat.ui.activity.setting

import android.os.Bundle
import android.view.View
import android.widget.Toast
import androidx.activity.enableEdgeToEdge
import com.kaixed.kchat.databinding.ActivityAboutBinding
import com.kaixed.kchat.ui.base.BaseActivity
import com.kaixed.kchat.ui.widget.LoadingDialogFragment

class AboutActivity : BaseActivity<ActivityAboutBinding>() {

    override fun inflateBinding(): ActivityAboutBinding {
        return ActivityAboutBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
    }

    override fun initData() {
        val activityInfo = packageManager.getPackageInfo(packageName, 0)
        val version = "Version ${activityInfo.versionName}"
        binding.tvVersion.text = version
        binding.ciCheckUpdate.setOnClickListener {
            val loadingDialog = LoadingDialogFragment.newInstance("检查中...")
            loadingDialog.showLoading(supportFragmentManager)
        }
    }

    override fun initView() {
    }

    override fun setupListeners() {
    }

    override fun observeData() {
    }
}