package com.kaixed.kchat.ui.activity.setting

import android.content.Intent
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import com.kaixed.kchat.data.DataBase
import com.kaixed.kchat.databinding.ActivityAccountSecurityBinding
import com.kaixed.kchat.ui.base.BaseActivity

class AccountSecurityActivity : BaseActivity<ActivityAccountSecurityBinding>() {

    override fun inflateBinding(): ActivityAccountSecurityBinding {
        return ActivityAccountSecurityBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
    }

    override fun initData() {
        val userInfo = DataBase.getUserInfo()
        userInfo?.let {
            binding.ciAccount.setItemDesc(userInfo.username)
            val telephone = userInfo.telephone.take(3) + "******" + userInfo.telephone.takeLast(2)
            binding.ciTelephone.setItemDesc(telephone)
        }
    }

    override fun initView() {
    }

    override fun setupListeners() {
        binding.ciUpdatePassword.setOnClickListener {
            startActivity(
                Intent(this, UpdatePasswordActivity::class.java)
            )
        }
    }

    override fun observeData() {
    }
}