package com.kaixed.kchat.ui.adapter

import android.content.Context
import android.graphics.Color
import android.graphics.drawable.ColorDrawable
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.kaixed.kchat.databinding.ItemFriendCircleImageBinding

/**
 * @Author: kaixed
 * @Date: 2024/10/27 18:30
 */
class FriendCircleImageAdapter(
    private val context: Context,
    private val items: MutableList<Int?>
) : BaseAdapter() {


    fun setItems(items: List<Int?>) {
        this.items.clear()
        this.items.addAll(items)
        notifyDataSetChanged()
    }

    override fun getCount(): Int {
        return items.size
    }

    override fun getItem(position: Int): Any? {
        return items[position]
    }

    override fun getItemId(position: Int): Long {
        return position.toLong()
    }

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val binding: ItemFriendCircleImageBinding = if (convertView == null) {
            ItemFriendCircleImageBinding.inflate(LayoutInflater.from(context), parent, false)
        } else {
            ItemFriendCircleImageBinding.bind(convertView)
        }

        val item = items[position]

        if (item is Int) {
            Glide.with(context).load(item).into(binding.imageView)
        } else {
            binding.imageView.setImageDrawable(ColorDrawable(Color.TRANSPARENT))
        }

        return binding.root
    }
}
