package com.kaixed.kchat.ui.fragment

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.bumptech.glide.Glide
import com.kaixed.kchat.R
import com.kaixed.kchat.databinding.FragmentMineBinding
import com.kaixed.kchat.ui.activity.ProfileDetailActivity
import com.kaixed.kchat.ui.activity.SettingsActivity
import com.kaixed.kchat.ui.base.BaseFragment
import com.kaixed.kchat.utils.ConstantsUtils
import com.kaixed.kchat.utils.ConstantsUtils.getAvatarUrl
import com.kaixed.kchat.utils.ConstantsUtils.getUsername


class MineFragment : BaseFragment<FragmentMineBinding>() {

    private var isAdded = false

    override fun inflateBinding(
        inflater: LayoutInflater,
        container: ViewGroup?
    ): FragmentMineBinding {
        return FragmentMineBinding.inflate(inflater, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        binding.ifvAvatar.viewTreeObserver.addOnGlobalLayoutListener {
            context?.let {
                isAdded = true
                Glide.with(it)
                    .load(getAvatarUrl())
                    .placeholder(R.drawable.ic_default_avatar)
                    .error(R.drawable.ic_default_avatar)
                    .into(binding.ifvAvatar)
            }
        }

        binding.clProfile.setOnClickListener {
            startActivity(Intent(requireContext(), ProfileDetailActivity::class.java))
        }

        binding.ciSetting.setOnClickListener {
            startActivity(Intent(requireContext(), SettingsActivity::class.java))
        }

        binding.ciSetting.setRedTipVisibility(true)
    }

    override fun onResume() {
        super.onResume()
        updateContent()
    }

    private fun updateContent() {
        val nickname = ConstantsUtils.getNickName()
        binding.tvNickname.text = nickname
        val kid = "星联号: ${getUsername()}"
        binding.tvId.text = kid
        if (!isAdded) {
            Glide.with(requireContext())
                .load(getAvatarUrl())
                .placeholder(R.drawable.ic_default_avatar)
                .error(R.drawable.ic_default_avatar)
                .into(binding.ifvAvatar)
        }
    }
}
