package com.kaixed.kchat.ui.widget

import android.annotation.SuppressLint
import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.graphics.RectF
import android.util.AttributeSet

class CustomButton : androidx.appcompat.widget.AppCompatButton {

    private val paint: Paint = Paint()  // 用于绘制背景
    private val cornerRadius = 20f  // 圆角半径

    // 构造函数
    constructor(context: Context) : super(context)
    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)
    constructor(context: Context, attrs: AttributeSet, defStyleAttr: Int) : super(
        context,
        attrs,
        defStyleAttr
    )

    // 重写 onDraw 方法绘制圆角背景
    @SuppressLint("DrawAllocation")
    override fun onDraw(canvas: Canvas) {
        // 绘制圆角矩形背景
        paint.color = Color.parseColor("#ffffff")  // 背景颜色
        paint.isAntiAlias = true  // 开启抗锯齿
        paint.style = Paint.Style.FILL  // 填充

        // 创建一个圆角矩形的矩形区域
        val rect = RectF(0f, 0f, width.toFloat(), height.toFloat())
        canvas.drawRoundRect(rect, cornerRadius, cornerRadius, paint)

        // 在圆角背景上绘制按钮文本
        super.onDraw(canvas)
    }
}
