package com.kaixed.kchat.utils

import android.content.Context
import android.text.Editable
import android.text.Spanned
import com.drake.spannable.span.CenterImageSpan
import com.kaixed.kchat.R

/**
 * @Author: kaixed
 * @Date: 2024/10/24 22:12
 */

object ImageSpanUtil {

    private val emojiMap: MutableMap<String, Int> = hashMapOf("[委屈]" to R.drawable.emoji)

    fun insertEmoji(
        context: Context,
        editable: Editable,
        textSize: Int,
        emojiStr: String,
        index: Int
    ) {
        // 插入表情符号到当前光标位置
        editable.insert(index, emojiStr)

        // 创建表情符号的ImageSpan
        val emojiResId = emojiMap[emojiStr]

        if (emojiResId != null) {
            val span = CenterImageSpan(context, emojiResId).setDrawableSize(55)

            editable.setSpan(
                span,
                index,
                index + emojiStr.length,
                Spanned.SPAN_EXCLUSIVE_EXCLUSIVE
            )
        }
    }
}
