package com.kaixed.kchat.utils

import android.view.View
import android.widget.TextView
import androidx.constraintlayout.widget.ConstraintLayout
import androidx.constraintlayout.widget.ConstraintSet
import com.kaixed.core.common.utils.TextUtil.getTimestampString
import com.kaixed.kchat.data.local.entity.Messages

/**
 * @Author: kaixed
 * @Date: 2024/11/26 12:12
 */
object ViewUtil {

    fun setViewVisibility(
        parentView: ConstraintLayout,
        sender: Boolean,
        avatarId: Int,
        avatarMineId: Int,
        contentId: Int,
        contentMineId: Int
    ) {
        val constraintSet = ConstraintSet()
        constraintSet.clone(parentView)

        if (sender) {
            constraintSet.setVisibility(avatarMineId, View.VISIBLE)
            constraintSet.setVisibility(avatarId, View.GONE)
            constraintSet.setVisibility(contentMineId, View.VISIBLE)
            constraintSet.setVisibility(contentId, View.GONE)
        } else {
            constraintSet.setVisibility(avatarId, View.VISIBLE)
            constraintSet.setVisibility(avatarMineId, View.GONE)
            constraintSet.setVisibility(contentId, View.VISIBLE)
            constraintSet.setVisibility(contentMineId, View.GONE)
        }

        constraintSet.applyTo(parentView)
    }

    fun changeTimerVisibility(
        tvTimer: TextView,
        singleMessage: Messages
    ) {
        val showTimer: Boolean =
            singleMessage.isShowTimer

        if (showTimer) {
            tvTimer.visibility = View.VISIBLE
            tvTimer.text = getTimestampString(singleMessage.timestamp)
        } else {
            tvTimer.visibility = View.GONE
        }
        tvTimer.visibility = if (showTimer) View.VISIBLE else View.GONE
        tvTimer.text = getTimestampString(singleMessage.timestamp)
    }
}