package com.kaixed.kchat.utils.handle

import com.kaixed.core.common.utils.Pinyin4jUtil
import com.kaixed.kchat.data.local.AppDatabase
import com.kaixed.kchat.data.local.entity.Contact

/**
 * @Author: kaixed
 * @Date: 2024/11/19 16:11
 */
object ContactUtil {

    private val contactDao = AppDatabase.getDatabase().contactDao()

    suspend fun handleContact(contact: Contact) {
        val contactLists = getDbContactLists()
        contactLists.add(contact)
        contact.apply {
            quanpin = Pinyin4jUtil.toPinyin(nickname)
            remark?.let {
                remarkquanpin = Pinyin4jUtil.toPinyin(remark!!)
            }
        }
        contactLists.forEachIndexed { index, item ->
            item.showHeader =
                (index == 0 || item.quanpin?.get(index) != contactLists[index - 1].quanpin?.get(
                    index - 1
                ))
        }
        contactDao.updateContacts(contactLists)
    }

    private suspend fun getDbContactLists(): MutableList<Contact> {
        return contactDao.getAllContacts() as MutableList<Contact>
    }
}
