package com.kaixed.kchat.viewmodel.factory

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.kaixed.kchat.data.local.dao.MessagesDao
import com.kaixed.kchat.viewmodel.MessagesViewModel

class MessagesViewModelFactory(private val messagesDao: MessagesDao) : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(MessagesViewModel::class.java)) {
            @Suppress("UNCHECKED_CAST")
            return MessagesViewModel(messagesDao) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}