package com.kaixed.core.common.extension

import android.content.Intent
import android.os.Build
import android.os.Parcelable

/**
 * @Author: kaixed
 * @Date: 2025/1/26 19:41
 */
// 扩展函数，用于兼容不同版本的 Intent.getParcelableExtra 方法
inline fun <reified T : Parcelable> Intent.getParcelableExtraCompat(key: String): T? {
    return if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
        getParcelableExtra(key, T::class.java)
    } else {
        @Suppress("DEPRECATION")
        getParcelableExtra(key)
    }
}

fun Int.dp2px(density: Float): Int {
    return (this * density + 0.5f).toInt()
}