package com.kaixed.core.network.message

import android.app.Service
import android.content.Intent
import android.os.IBinder


class WebSocketService : Service() {

    companion object {
        private const val TAG = "WebSocketService"
        private const val WEBSOCKET_CLOSE_CODE = 1000
    }

    private lateinit var messageRepository: MessageRepository

    private lateinit var webSocketClient: WebSocketClient

    override fun onBind(intent: Intent?): IBinder? = null

    override fun onCreate() {
        super.onCreate()
        webSocketClient = OkHttpWebSocketClient()
        messageRepository = MessageRepository(webSocketClient)
        webSocketClient.connect()
    }

    override fun onStartCommand(intent: Intent?, flags: Int, startId: Int): Int {
        webSocketClient.connect()
        return START_STICKY
    }

    override fun onDestroy() {
        super.onDestroy()
        webSocketClient.close(WEBSOCKET_CLOSE_CODE, "App exited")
    }
}
